/**********************************************************************
 *
 * htmlgen.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: htmlgen.h 155 1999-02-08 01:28:04Z rjmcnab $
 *
 *********************************************************************/


#ifndef HTMLGEN_H
#define HTMLGEN_H

#include "gsdlconf.h"
#include "text_t.h"
#include "display.h"

#if defined(GSDL_USE_OBJECTSPACE)
#  include <ospace\std\iostream>
#elif defined(GSDL_USE_IOS_H)
#  include <iostream.h>
#else
#  include <iostream>
#endif



// highlighttext highlights query terms in text string and 
// outputs the resulting text string
void highlighttext (text_tarray &termvars, displayclass &disp, text_t &text,
		    outconvertclass &outconvert, ostream &textout, ostream &logout);


#endif
