/**********************************************************************
 *
 * pageaction.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: pageaction.h 421 1999-07-30 02:24:45Z sjboddie $
 *
 *********************************************************************/


#ifndef PAGEACTION_H
#define PAGEACTION_H


#include "gsdlconf.h"
#include "action.h"
#include "receptionist.h"


class pageaction : public action {
  
protected:
  receptionist *recpt;

public:
  pageaction ();
  virtual ~pageaction ();

  text_t get_action_name () {return "p";}

  void set_receptionist (receptionist *therecpt) {recpt=therecpt;}
  bool check_cgiargs (cgiargsinfoclass &argsinfo, cgiargsclass &args, 
		      ostream &logout);

  void get_cgihead_info (cgiargsclass &args, response_t &response,
			 text_t &response_data, ostream &logout);

  void define_external_macros (const ColInfoResponse_t &collectinfo, displayclass &disp, 
			       cgiargsclass &args, recptproto *collectproto, 
			       ostream &logout);

  void define_internal_macros (const ColInfoResponse_t &collectinfo, displayclass &disp, 
			       cgiargsclass &args, recptproto *collectproto, 
			       ostream &logout);

  bool do_action (cgiargsclass &args, const ColInfoResponse_t &collectinfo, 
		  recptproto *collectproto, displayclass &disp, 
		  outconvertclass &outconvert, ostream &textout, 
		  ostream &logout);
};


#endif
